%define Werror_cflags %nil

Summary:	Cross-platform lobby client for the Spring RTS project
Name:		springlobby
Version:	0.180
%define subrel 4
Release:	%mkrel 4
Group:		Games/Strategy
URL:		http://springlobby.info/
Source:		http://www.springlobby.info/tarballs/springlobby-%{version}.tar.bz2
Source1:	springlobby-logo.svg
Patch0:		springlobby-0.180-linkage.patch
# bundled springsettings is GPLv3+
License:	GPL+ and GPLv3+
BuildRequires:	wxgtk-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libtorrent-rasterbar-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	openal-devel
BuildRequires:	libmpg123-devel
BuildRequires:	pkgconfig(alure)
BuildRequires:	pkgconfig(minizip)
Requires:	spring
Requires:	curl
Requires:	openal

%description
SpringLobby is a free cross-platform lobby client for the Spring RTS
project.

This package also contains SpringSettings, a Spring configuration
tool.

%prep
%setup -q
%apply_patches

%build
%cmake
%make

%install
%makeinstall_std -C build

desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-springsettings.desktop <<EOF
[Desktop Entry]
Name=SpringSettings
Comment=Configure settings of Spring
Exec=springsettings
Icon=springsettings
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

install -d -m755 %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,scalable}/apps
install -m644 src/images/springlobby.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/springlobby.svg
convert src/images/springlobby.svg -resize 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/springlobby.png
convert src/images/springlobby.svg -resize 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/springlobby.png
convert src/images/springlobby.svg -resize 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/springlobby.png
convert src/images/springsettings.xpm -resize 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/springsettings.png
convert src/images/springsettings.xpm -resize 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/springsettings.png
convert src/images/springsettings.xpm -resize 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/springsettings.png

%find_lang %{name}

%files -f %{name}.lang
%doc THANKS AUTHORS
%{_bindir}/springlobby
%{_bindir}/springsettings
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{_real_vendor}-springsettings.desktop
%{_iconsdir}/hicolor/*/apps/*.*


%changelog
* Sun Aug 09 2015 shlomif <shlomif> 0.180-4.4.mga5
+ Revision: 862297
- Fix for MGA#8198 - non-existent launcher (patch thx2 ysoft ).
- Testing reverse patch due to segfaults
- Rebuild due to faulty executables
- Fix for MGA#8198 - non-existent launcher (patch thx2 ysoft ).

* Wed Oct 15 2014 umeabot <umeabot> 0.180-4.mga5
+ Revision: 742799
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.180-3.mga5
+ Revision: 689298
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 fwang <fwang> 0.180-2.mga5
+ Revision: 583600
- br minizip

* Wed Feb 05 2014 fwang <fwang> 0.180-1.mga5
+ Revision: 583593
- more linkage fix
- fix link with curl
- br alure
- new version 0.180

* Sat Oct 19 2013 umeabot <umeabot> 0.147-8.mga4
+ Revision: 529599
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 0.147-7.mga4
+ Revision: 452539
- rebuild for new boost

* Thu Apr 11 2013 ennael <ennael> 0.147-6.mga3
+ Revision: 409520
- rebuild for boost-1.53

* Sun Mar 24 2013 wally <wally> 0.147-5.mga3
+ Revision: 404728
- fix desktop file name

* Fri Jan 18 2013 fwang <fwang> 0.147-4.mga3
+ Revision: 389390
- rebuild for new libtorrent

* Mon Jan 14 2013 umeabot <umeabot> 0.147-3.mga3
+ Revision: 382537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.147-2.mga3
+ Revision: 333106
- rebuild for new boost

* Tue Oct 09 2012 nanardon <nanardon> 0.147-1.mga3
+ Revision: 303923
- 0.147
- 0.139
- mdv cleanup
- imported package springlobby


* Sun Aug 29 2010 Funda Wang <fwang@mandriva.org> 0.85-4mdv2011.0
+ Revision: 574072
- rebuild for new boost

* Tue Aug 17 2010 Olivier Thauvin <nanardon@mandriva.org> 0.85-3mdv2011.0
+ Revision: 571026
- rebuild for new WX

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.85-2mdv2011.0
+ Revision: 566009
- rebuild for new boost

* Fri Jul 23 2010 Olivier Thauvin <nanardon@mandriva.org> 0.85-1mdv2011.0
+ Revision: 557105
- 0.83
- remove Patch0, make the code not compiling

  + Colin Guthrie <cguthrie@mandriva.org>
    - Disable Werror=format-string (partially patched)
    - Drop old sources

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.63-2mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Fri Feb 05 2010 Emmanuel Blindauer <blindauer@mandriva.org> 0.63-1mdv2010.1
+ Revision: 501240
- update to 0.63

* Thu Feb 04 2010 Funda Wang <fwang@mandriva.org> 0.59-3mdv2010.1
+ Revision: 500583
- rebuild

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.59-2mdv2010.1
+ Revision: 500335
- rebuild for new boost

* Tue Jan 26 2010 Emmanuel Blindauer <blindauer@mandriva.org> 0.59-1mdv2010.1
+ Revision: 496534
- update to 0.59

* Sun Jan 17 2010 Emmanuel Blindauer <blindauer@mandriva.org> 0.56-1mdv2010.1
+ Revision: 492593
- Fix missing require
- new version 0.56
- rediff patch
- fix requires

* Mon Dec 28 2009 Emmanuel Blindauer <blindauer@mandriva.org> 0.44-1mdv2010.1
+ Revision: 482979
- fix make install
- cmake build need BuildRequires...
- 0.44 release
- build is cmake now
- fix gcc warning
- update to 0.44

* Mon Sep 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.19-2mdv2010.0
+ Revision: 441075
- rebuild for new libtorrent-rasterbar5

* Sun Aug 23 2009 Emmanuel Blindauer <blindauer@mandriva.org> 0.19-1mdv2010.0
+ Revision: 419759
- updated to version 0.19

* Wed Aug 19 2009 Emmanuel Blindauer <blindauer@mandriva.org> 0.11-1mdv2010.0
+ Revision: 418157
- release 0.11

* Mon Jul 13 2009 Emmanuel Blindauer <blindauer@mandriva.org> 0.3-1mdv2010.0
+ Revision: 395624
- update to 0.3
- New version 0.3

* Mon Jun 08 2009 Oden Eriksson <oeriksson@mandriva.com> 0.0.1.10467-2mdv2010.0
+ Revision: 383889
- rebuilt against libtorrent-rasterbar.so.4

* Tue May 26 2009 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10467-1mdv2010.0
+ Revision: 379790
- new release 0.0.1.10467

* Sat Apr 11 2009 Anssi Hannula <anssi@mandriva.org> 0.0.1.10446-1mdv2009.1
+ Revision: 366433
- new version (fixes #49522)
- buildrequires boost-devel explicitely

* Thu Mar 26 2009 Funda Wang <fwang@mandriva.org> 0.0.1.10398-3mdv2009.1
+ Revision: 361300
- rebuild for new boost

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.1.10398-2mdv2009.1
+ Revision: 354303
- rebuild for new boost

* Sun Feb 15 2009 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10398-1mdv2009.1
+ Revision: 340433
- new release 0.0.1.10398

* Mon Jan 12 2009 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10381-1mdv2009.1
+ Revision: 328463
- drop all patches (merged upstream)
- new release 0.0.1.10381

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 0.0.1.10367-7mdv2009.1
+ Revision: 316921
- rebuild for new boost

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 0.0.1.10367-6mdv2009.1
+ Revision: 316584
- rebuild for new boost

* Mon Dec 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10367-5mdv2009.1
+ Revision: 314430
- build with the torrent-based download module, against libtorrent-rasterbar
- add libtorrent14.patch (from upstream developer) to fix build with libtorrent
  0.14.1

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10367-4mdv2009.1
+ Revision: 314384
- drop default_springdir.patch, according to upstream it's no longer needed,
  DEFSETT_SPRING_DIR is no longer used anywhere

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10367-3mdv2009.1
+ Revision: 314381
- add savesettings.patch (from upstream developer, fix a bug with the spring
  version detection)

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10367-2mdv2009.1
+ Revision: 314356
- add create_basedir.patch: create ~/.spring/base when downloading OTA contet
  if it doesn't already exist

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.1.10367-1mdv2009.1
+ Revision: 314124
- buildrequires desktop-file-utils
- complete dropping the patch
- adjust the file list
- now has translations
- fd.o icons, build the main ones from svg (works fine with imagemagick now)
- add --disable-torrent-system parameter for configure as we have no system
  libtorrent-rasterbar
- upstream now provides a menu entry, but it's broken: fix it up
- buildrequire necessary SDL libs
- specifically require version 2.8 of wxgtk
- rediff default_springdir.patch
- drop wx2.6-warning.patch (no longer needed, app correctly tests)
- drop unnecessary defines
- new release 0.0.1.10367

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.0.1.0735-1mdv2009.0
+ Revision: 218426
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Jan 05 2008 Anssi Hannula <anssi@mandriva.org> 0.0.1.0735-1mdv2008.1
+ Revision: 145682
- initial Mandriva release

